package CHAPTER05;

//외부 클래스 (Outer)
class Outer {
	// 정적 중첩 클래스 (Static Nested Class)
	static class Inner {
		void display() {
			System.out.println("Static Nested Class");
		}
	}
}

public class StaticNested {
	public static void main(String[] args) {
		// 정적 중첩 클래스의 객체 생성 (외부 클래스의 객체 없이 직접 접근 가능)
		Outer.Inner oi = new Outer.Inner();

		// 정적 중첩 클래스의 메서드 호출
		oi.display();
	}
}